Target version: 1.11.0   

Difficulty: medium Fixed in Releases:  
Pull request:    

Description

Hi,

When we try to create new compute profile in foreman GUI, it displays different memory option in drop down list on the basis of

language selected in profile.

I checked for Deutsch and English.

It should give same options for all display.

Thanks

Aditya

Related issues:

Related to Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1 Closed 08/22/2014

History

#1 - 04/08/2015 05:42 AM - Dominic Cleal

- Category set to Compute resources

- Status changed from New to Need more information

Which type of compute resource are you using?  (Libvirt, VMware etc)

What different memory options do you see?  Screenshots would be great if could attach them.

#2 - 04/09/2015 03:37 AM - Aditya Gupta

- File Compute profile_ EN.png added

- File Rechnerprofil_ DE.png added

Hello Dominic,

Thanks for response.

We are using Libvirt compute resource.

Please find attached screenshots for English & Deutsche language.

You can see different options in drop down menu.

Thanks,

Aditya

#3 - 04/09/2015 05:17 AM - Dominic Cleal

- Blocked by Tracker #3157: Rails 4.1 upgrade tasks added
#4 - 04/09/2015 05:17 AM - Dominic Cleal

- Status changed from Need more information to New

- Priority changed from High to Normal

How strange!  I found the cause though, it comes from the localisation files that we include for Rails.  We can't just change ours else they'll revert, but

this has been fixed in the upstream project and will be fixed when we move to Rails 4.

https://github.com/svenfuchs/rails-i18n/commit/c757651a692f1f632a1da25d061bf4d53042ebf3

#5 - 12/18/2015 05:20 AM - Dominic Cleal

- Blocked by deleted (Tracker #3157: Rails 4.1 upgrade tasks)

#6 - 12/18/2015 05:21 AM - Dominic Cleal

- Related to Feature #7230: Upgrade Ruby on Rails to 4.1 added

#7 - 12/18/2015 08:47 AM - Dominic Cleal

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 71

This should be fixed with the update to Rails 4 and a newer rails-i18n gem.
